#Flutini QMakefile
#[]$ qmake flutini.pro
#[]$ make
#   
TEMPLATE = app

QMAKE_CXXFLAGS_DEBUG += -pg -ggdb -DDEBUG_MEMORY
QMAKE_LFLAGS_DEBUG += -pg -ggdb

CONFIG += qt thread opengl
CONFIG += release
CONFIG += warn_on
CONFIG += precompile_header
CONFIG += uic

RESOURCES = flutini.qrc
RC_FILE = flutini.rc

DEFINES += SINGLE_DRAWING_BUFFER
DEFINES += WINDOWS
DEFINES -= UNICODE       #I think some things broke without this?

LIBS += -L"C:\QT\4.4.0\lib" -L"C:\Documents and Settings\srt19170\My Documents\Projects\FFTW"
LIBS += -lwinmm -lfftw3f-3 -lole32

PRECOMPILED_HEADER = static.h
  
MYPATHS = include/ general/ sound/ global/ dialogs/ RTTA/ windows/ 
MYPATHS += widgets/ main/ widgets/rttawidget widgets/barwidget 
MYPATHS += ../memleak
MYPATHS += sound/filters

DEPENDPATH += $$MYPATHS

INCLUDEPATH += $$MYPATHS
INCLUDEPATH += "./" "C:\Documents and Settings\srt19170\My Documents\Projects\FFTW" "C:\Documents and Settings\srt19170\My Documents\Projects\qwt-5.1.1\src" 
INCLUDEPATH += "C:\Documents and Settings\srt19170\My Documents\Projects\nvwa-0.8\nvwa"

REQUIRES += thread

QT +=  opengl qt3support 

LANGUAGE = C++
TARGET = flutini
VERSION = 1.0

# UI_DIR = main
FORMS += main\mainform.ui dialogs\settingsdialog.ui dialogs\annotation.ui dialogs\about.ui

HEADERS += \
  DebugMemory.h \
  RTTA/rtta.h \
#  dialogs/opendialog.h \
  dialogs/tartinisettingsdialog.h \
  general/bspline.h \
  general/fast_smooth.h \
  general/large_vector.h \
  general/musicnotes.h \
  general/mygl.h \
  general/myio.h \
  general/mymatrix.h \
  general/myqt.h \
  general/mystring.h \
  general/mytransforms.h \
  general/prony.h \
  general/useful.h \
  global/conversions.h \
  global/gdata.h \
  global/view.h \
  include/RingBuffer.h \
  include/SmartPtr.h \
  include/array1d.h \
  include/array2d.h \
  include/freqpair.h \
  include/myassert.h \
  include/myqmutex.h \
  include/safe_bool.h \
  main/main.h \
  main/mainform.h \
  sound/analysisdata.h \
  sound/audio_thread.h \
  sound/channel.h \
  sound/filters/FastSmoothedAveragingFilter.h \
  sound/filters/Filter.h \
  sound/filters/GrowingAveragingFilter.h \
  sound/filters/IIR_Filter.h \
  sound/notedata.h \
#  sound/notesynth.h \
  sound/sound_stream.h \
  sound/soundfile.h \
  sound/sound_file_stream.h \
  sound/wave_stream.h \
  widgets/barwidget/barwidget.h \
  widgets/drawwidget.h \
  widgets/rttawidget/rttawidget.h \
  widgets/viewwidget.h \
  windows/audio_stream.h \
  ui_annotation.h \
  ui_settingsdialog.h \
  ui_mainform.h \
  ui_about.h 

SOURCES += \
  DebugMemory.cpp \
  RTTA/rtta.cpp \
#  dialogs/opendialog.cpp \
  dialogs/tartinisettingsdialog.cpp \
  general/bspline.cpp \
  general/fast_smooth.cpp \
  general/musicnotes.cpp \
  general/myio.cpp \
  general/mymatrix.cpp \
  general/myqt.cpp \
  general/mystring.cpp \
  general/mytransforms.cpp \
  general/prony.cpp \
  general/useful.cpp \
  global/conversions.cpp \
  global/gdata.cpp \
  global/view.cpp \
  main/main.cpp \
  main/mainform.cpp \
  sound/analysisdata.cpp \
  sound/audio_thread.cpp \
  sound/channel.cpp \
  sound/filters/FastSmoothedAveragingFilter.cpp \
  sound/filters/GrowingAveragingFilter.cpp \
  sound/filters/IIR_Filter.cpp \
  sound/notedata.cpp \
#  sound/notesynth.cpp \
  sound/sound_stream.cpp \
  sound/soundfile.cpp \
  sound/wave_stream.cpp \
  widgets/barwidget/barwidget.cpp \
  widgets/drawwidget.cpp \
  widgets/rttawidget/rttawidget.cpp \
  widgets/viewwidget.cpp \
  windows/audio_stream.cpp
 
