//
//  Flutini Main
//  Fri Jun 27 21:22:58 2008 -- Scott R. Turner
//
//
#include <QApplication>
#include <QMessageBox>
#include <stdio.h>
#include <stdlib.h>
#include "mainform.h"
#include "gdata.h"

MainForm *mainWindow;

int main(int argc, char *argv[])
{
     QApplication app(argc, argv);

#ifdef WINDOWS
     freopen("stdout.txt", "w", stdout);
     freopen("stderr.txt", "w", stderr);
#endif

     //Create one instance only of the global data
     gdata = new GData();
     gdata->view = new View();

     mainWindow = new MainForm();
     mainWindow->init(&app);

     // call init after we know the windows size
     gdata->view->init();

     // init the RTTA data after gdata is established.
     gdata->rtta_data->reset();

     app.setMainWidget(mainWindow);
     app.connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

     mainWindow->show();

     (void) app.exec();

     delete mainWindow;
     delete gdata->view;
     delete gdata;
}
